# Generated from xcoed-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xcoed

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Add Swift Packages to an Xcode Project
License: MIT
URL: https://github.com/igor-makarov/xcoed/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(os) >= 1.0
# BuildRequires: rubygem(os) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-rescue)
# BuildRequires: rubygem(pry-stack_explorer)
# BuildRequires: rubygem(rb-readline) >= 0.5.4
# BuildRequires: rubygem(rb-readline) < 0.6
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(rubocop) >= 0.64.0
# BuildRequires: rubygem(rubocop) < 0.65
# BuildRequires: rubygem(rubocop-git) >= 0.1.1
# BuildRequires: rubygem(rubocop-git) < 0.2
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Automate adding Swift PM packages to an Xcode project using a regular
`Package.swift` file.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/xcoed
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.1-1
- Initial package
